return {
	{
		"RRethy/base16-nvim",
		priority = 1000,
		config = function()
			require('base16-colorscheme').setup({
				base00 = '#130f1a',
				base01 = '#130f1a',
				base02 = '#92909c',
				base03 = '#92909c',
				base04 = '#f0ecfc',
				base05 = '#faf8ff',
				base06 = '#faf8ff',
				base07 = '#faf8ff',
				base08 = '#ff9fb3',
				base09 = '#ff9fb3',
				base0A = '#ccbdff',
				base0B = '#a5ffb7',
				base0C = '#e4dcff',
				base0D = '#ccbdff',
				base0E = '#d5c9ff',
				base0F = '#d5c9ff',
			})

			vim.api.nvim_set_hl(0, 'Visual', {
				bg = '#92909c',
				fg = '#faf8ff',
				bold = true
			})
			vim.api.nvim_set_hl(0, 'Statusline', {
				bg = '#ccbdff',
				fg = '#130f1a',
			})
			vim.api.nvim_set_hl(0, 'LineNr', { fg = '#92909c' })
			vim.api.nvim_set_hl(0, 'CursorLineNr', { fg = '#e4dcff', bold = true })

			vim.api.nvim_set_hl(0, 'Statement', {
				fg = '#d5c9ff',
				bold = true
			})
			vim.api.nvim_set_hl(0, 'Keyword', { link = 'Statement' })
			vim.api.nvim_set_hl(0, 'Repeat', { link = 'Statement' })
			vim.api.nvim_set_hl(0, 'Conditional', { link = 'Statement' })

			vim.api.nvim_set_hl(0, 'Function', {
				fg = '#ccbdff',
				bold = true
			})
			vim.api.nvim_set_hl(0, 'Macro', {
				fg = '#ccbdff',
				italic = true
			})
			vim.api.nvim_set_hl(0, '@function.macro', { link = 'Macro' })

			vim.api.nvim_set_hl(0, 'Type', {
				fg = '#e4dcff',
				bold = true,
				italic = true
			})
			vim.api.nvim_set_hl(0, 'Structure', { link = 'Type' })

			vim.api.nvim_set_hl(0, 'String', {
				fg = '#a5ffb7',
				italic = true
			})

			vim.api.nvim_set_hl(0, 'Operator', { fg = '#f0ecfc' })
			vim.api.nvim_set_hl(0, 'Delimiter', { fg = '#f0ecfc' })
			vim.api.nvim_set_hl(0, '@punctuation.bracket', { link = 'Delimiter' })
			vim.api.nvim_set_hl(0, '@punctuation.delimiter', { link = 'Delimiter' })

			vim.api.nvim_set_hl(0, 'Comment', {
				fg = '#92909c',
				italic = true
			})

			local current_file_path = vim.fn.stdpath("config") .. "/lua/plugins/dankcolors.lua"
			if not _G._matugen_theme_watcher then
				local uv = vim.uv or vim.loop
				_G._matugen_theme_watcher = uv.new_fs_event()
				_G._matugen_theme_watcher:start(current_file_path, {}, vim.schedule_wrap(function()
					local new_spec = dofile(current_file_path)
					if new_spec and new_spec[1] and new_spec[1].config then
						new_spec[1].config()
						print("Theme reload")
					end
				end))
			end
		end
	}
}
